Subject: bug#865: 23.0.60; The directory is unsafe today

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Wed, 03 Sep 2008 02:05:57 +0200

Juanma Barranquero wrote:
> On Wed, Sep 3, 2008 at 01:58, Lennart Borgman (gmail)
> <[email-masked]> wrote:
> 
>> Just check if it exists immediately after the delete. As you have
>> pointed out some race condition (which one is unclear to me) can exist
>> so that it exists there again.
>>
>> However I did not say that we should raise an error in that case. It
>> might be legitimate. So we can perhaps instead check file modification
>> time and see if it is a new file. In that case we could just give a
>> message (which might be good for hunting errors).
>>
>> If file modification time says it is the same old file then it is an error.
> 
> You want to do a lot of work for nothing.

Hm, I do not like doing cleaning without any reason.

I think you might be missing that the situation can be complicated when
ACL lists are involved. But I guess it is not common.